<?php

include("stack-maps-functions.php");

/* Alma can pass the following information about the title:
$library_code = always CFL
$lang_code = don't worry about it

$location_code
$location_name
$call_number

$title
*/

$debug = false;

// Get the location code and call number.
// Note the use of the null coalescing operator to
// get either the value of the GET request or a default
// value if one was not supplied.
$location_code = $_GET['location_code'] ?? 'CFL3';
$call_number = $_GET['call_number'] ?? false;
$title = $_GET['title'] ?? false;

if($debug){
	header("Content-Type: text/plain");
	print "location code was: $location_code\n";
	print "call number was: $call_number\n";
}

// The end result of this script is just the
// file name of the image to send them to.
// We initialize it as "false" because we haven't
// found one yet.
$image = false;


// First we check the location code.  This is because
// items in smaller collections pulled out
// of the main stacks (e.g. Reference, popular reading)
// need to be identified by their location.
$image = check_location($location_code);

// If we have an image, we send the viewer there
// and terminate the script.
if($debug && $image){
	print "Image selected based on location code.\n";
}

if($image){ go($image, $title); }

// Load the array of ranges.
include("stack-maps-array.php");

$ranges = normalize_ranges($ranges);

$image = find_image($call_number, $ranges);

if($debug){ print "Match found.\n"; }

go($image, $title);
